com.google.appengine.api.conversion

## Enum ConversionErrorCode

- java.lang.Object
- - java.lang.Enum<ConversionErrorCode>
  - - com.google.appengine.api.conversion.ConversionErrorCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConversionErrorCode>

      public enum ConversionErrorCode
      extends java.lang.Enum<ConversionErrorCode>

  The error code of Conversion service.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONVERSION_TOO_LARGE` Conversion too large.
    `INTERNAL_ERROR` Something wrong in the backend that can't be sent back to application.
    `INVALID_REQUEST` Request not formed properly.
    `TIMEOUT` Communication to backend service timed-out.
    `TOO_MANY_CONVERSIONS` Too many conversions in one request.
    `TRANSIENT_ERROR` Transient error while accessing the backend, please try again later.
    `UNSUPPORTED_CONVERSION` Unsupported conversion attempted.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConversionErrorCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConversionErrorCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TIMEOUT

          public static final ConversionErrorCode TIMEOUT

      Communication to backend service timed-out.

    - #### TRANSIENT_ERROR

          public static final ConversionErrorCode TRANSIENT_ERROR

      Transient error while accessing the backend, please try again later.

    - #### INTERNAL_ERROR

          public static final ConversionErrorCode INTERNAL_ERROR

      Something wrong in the backend that can't be sent back to application.

    - #### UNSUPPORTED_CONVERSION

          public static final ConversionErrorCode UNSUPPORTED_CONVERSION

      Unsupported conversion attempted.

    - #### CONVERSION_TOO_LARGE

          public static final ConversionErrorCode CONVERSION_TOO_LARGE

      Conversion too large.

    - #### TOO_MANY_CONVERSIONS

          public static final ConversionErrorCode TOO_MANY_CONVERSIONS

      Too many conversions in one request.

    - #### INVALID_REQUEST

          public static final ConversionErrorCode INVALID_REQUEST

      Request not formed properly.

  - ### Method Detail

    - #### values

          public static ConversionErrorCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConversionErrorCode c : ConversionErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConversionErrorCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null